OpenAI create video (with image)
POST
/v1/videosBody Parametersmultipart/form-data
model* string
prompt* string
seconds string
Duration
input_reference string · binary
The size of the image and the generated video should be the same, such as size: 1280x720, and the size of the image is also 1280x720, otherwise an error will be reported
size string
The output resolution format is width x height (allowed values 720x1280, 1280x720). The default is portrait screen 720x1280
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"model": "sora-2",
3"prompt": "让牛快乐的跳科目三",
4"seconds": "4",
5"input_reference": "file://D:\\Photo\\image.png",
6"size": "1280x720"
7}
1curl -X POST "https://api.digislash.com/v1/videos" \
2-H "Authorization: Bearer <API Key>" \
3-F "model=sora-2" \
4-F "prompt=让牛快乐的跳科目三" \
5-F "seconds=4" \
6-F "input_reference=@file://D:\Photo\image.png" \
7-F "size=1280x720"
1▼{
2"id": "video_5c6a605a-30c0-4a6a-9dbd-d1d6cfdd9980",
3"object": "video",
4"model": "sora-2",
5"status": "queued",
6"progress": 0,
7"created_at": 1761622232,
8"seconds": "10",
9"size": "1280x720"
10}
